Bug 1663402 - [ALL LANG][RHSM CLI] Unlocalized message in role module.
Summary: [ALL LANG][RHSM CLI] Unlocalized message in role module.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On: 1682763
Blocks: 1805619
TreeView+ depends on / blocked
 
Reported: 2019-01-04 08:23 UTC by Lijun Li
Modified: 2021-02-01 07:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1805619 (view as bug list)
Environment:
Last Closed: 2021-02-01 07:31:37 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1898 0 None closed Sync the syspurpose on runs of each relevant command 2020-10-22 08:36:10 UTC

Description Lijun Li 2019-01-04 08:23:23 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
# subscription-manager role -h
使用:subscription-manager role [选项]

修改系统目的角色

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --set=SET             Set role of system purpose
  --unset               Unset role of system purpose
                        ^^^^^^^^^^^^^^^^^Unlocalized message.

# subscription-manager role --set "RHEL Server"
role set to "RHEL Server".
^^^^^^^^^^^^^^^Unlocalized message.

# subscription-manager role
Role not set.
^^^^^^Unlocalized message.


Expected results:
It should be localized.

Additional info:

Comment 1 Lijun Li 2019-07-01 03:41:34 UTC
This is also on latest rhel7.7 snapshot build.

Comment 2 Lijun Li 2019-10-15 07:14:08 UTC
Reproduced on latest rhel8.1 build.
# subscription-manager role -h
使用:subscription-manager role [选项]

Modify system purpose role

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --set=SET             Set role of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
  --unset               Unset role of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager role --set "RHEL Server"
role set to "RHEL Server".
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager role
Current Role: RHEL Server
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager role --unset
role unset.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.

Comment 3 Lijun Li 2019-10-15 07:14:52 UTC
# subscription-manager role -h
使用:subscription-manager role [选项]

Modify system purpose role
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --set=SET             Set role of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
  --unset               Unset role of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager role --set "RHEL Server"
role set to "RHEL Server".
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager role
Current Role: RHEL Server
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager role --unset
role unset.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.

Comment 7 John Sefler 2020-08-17 18:56:31 UTC
Testing with version....

[root@hpe-dl380pgen8-02-vm-15 ~]# rpm -q subscription-manager
subscription-manager-1.27.13-1.el8.x86_64
[root@hpe-dl380pgen8-02-vm-15 ~]# rpm -q subscription-manager --changelog | grep 1663402
- 1663116: 1663390: 1663402: 1663408: Update translations (wpoteat@redhat.com)
[root@hpe-dl380pgen8-02-vm-15 ~]# 



[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager role -h
使用:subscription-manager role [选项]

修改系统目的角色                                            <====== PASSED

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --username=USERNAME   在服务器中进行验证时使用的用户名
  --password=PASSWORD   在服务器中进行验证时使用的密码
  --token=TOKEN         在服务器中进行验证时使用的令牌
  --org=ORG_KEY         指定机构
  --set=SET             set role of system purpose       <====== FAILEDQA - CHANGED STRING (Set => set)
  --unset               unset role of system purpose     <====== FAILEDQA - CHANGED STRING (Unset => unset)
  --show                how this system's current role   <====== FAILEDQA - NEW UNTRANSLATED STRING
  --list                list all role available          <====== FAILEDQA - NEW UNTRANSLATED STRING



[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager role --set "RHEL Server"
Warning: Provided value "RHEL Server" is not included in the list of valid values  <====== FAILEDQA - NEW UNTRANSLATED STRING
 - Red Hat Enterprise Linux Workstation
 - Red Hat Enterprise Linux Server
 - Red Hat Enterprise Linux Compute Node
role 设置为 "RHEL Server"。                               <====== PASSED


[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager role
Current Role: RHEL Server                                <====== FAILEDQA - UNTRANSLATED STRING "Current {name}: {val}" ???


[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager role --unset
role 取消设置。                                           <====== PASSED



Moving back to NEW/FailedQA

Comment 9 John Sefler 2020-08-17 19:02:22 UTC
(In reply to John Sefler from comment #7)

> [root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager role
> Current Role: RHEL Server                                <====== FAILEDQA - UNTRANSLATED STRING "Current {name}: {val}" ???


This appears to be working as expected - don't know why it failed for me the first time....

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager role
Role 未设置。                               <====== PASSED

Comment 10 John Sefler 2020-08-17 20:04:01 UTC
Also note the typo in the msgstr...

[root@hpe-dl380pgen8-02-vm-15 ~]# subscription-manager role -h | grep "this system's current"
  --show                how this system's current role
                        ^^^
                        FAILEDQA - EXPECTED "show"

Comment 12 Lijun Li 2020-09-07 09:00:17 UTC
Reproduced on latest rhel8.3 build.

[root@localhost ~]# subscription-manager role -h
使用:8 role [选项]

修改系统目的角色

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --username=USERNAME   在服务器中进行验证时使用的用户名
  --password=PASSWORD   在服务器中进行验证时使用的密码
  --token=TOKEN         在服务器中进行验证时使用的令牌
  --org=ORG_KEY         指定机构
  --set=SET             set role of system purpose                     <====== FAILEDQA
  --unset               unset role of system purpose                     <====== FAILEDQA
  --show                how this system's current role                   <====== FAILEDQA & Typo how->show 
  --list                list all role available                     <====== FAILEDQA
[root@localhost ~]# subscription-manager role --set=test
Warning: Provided value "test" is not included in the list of valid values                     <====== FAILEDQA
 - Red Hat Enterprise Linux Server
role 设置为 "test"。
[root@localhost ~]# subscription-manager role --show
Current Role: Red Hat Enterprise Linux Server                     <====== FAILEDQA
[root@localhost ~]# subscription-manager role --list
+-------------------------------------------+
               Available role                     <====== FAILEDQA
+-------------------------------------------+
 - Red Hat Enterprise Linux Server
[root@localhost ~]# subscription-manager role
Current Role: Red Hat Enterprise Linux Server                     <====== FAILEDQA
[root@localhost ~]# rpm -q subscription-manager 
subscription-manager-1.27.15-1.el8.x86_64

Comment 17 RHEL Program Management 2021-02-01 07:31:37 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.